summaryrefslogtreecommitdiff
path: root/media-tv
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-06-16 19:53:34 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-06-16 19:53:34 +0100
commitf208afe975715fb3f5aa422e3d69f1b5d8a716f3 (patch)
treeb9e4656bb7211ea64bfe310256ae95f94bc70e05 /media-tv
parentf0962ddd7051df1b733d2e2278a5fcf39e467eb7 (diff)
Revert "media-tv/{tv-maxe,sopcast} : sorry lads, but your codebase is way to old to keep things sane anymore, drop"
This reverts commit 8b21ffab3433955fd17c7e6a43d488864f9a951b.
Diffstat (limited to 'media-tv')
-rw-r--r--media-tv/sopcast/Manifest1
-rw-r--r--media-tv/sopcast/sopcast-3.2.6-r1.ebuild34
-rw-r--r--media-tv/tv-maxe/Manifest1
-rw-r--r--media-tv/tv-maxe/files/tv-maxe_disable_locale.patch11
-rw-r--r--media-tv/tv-maxe/tv-maxe-0.11-r5.ebuild51
5 files changed, 98 insertions, 0 deletions
diff --git a/media-tv/sopcast/Manifest b/media-tv/sopcast/Manifest
new file mode 100644
index 00000000..203abcf4
--- /dev/null
+++ b/media-tv/sopcast/Manifest
@@ -0,0 +1 @@
+DIST sp-auth-3.2.6.tar.gz 345856 BLAKE2B 8b796d5d2c6d7366c6b455c535336c3b5964158824119d8b1e2e7b089f8ceda041f77424102a3c69b73a7dfe1fe33851c59f36fefdb72db3a0290d05f093cee9 SHA512 9d9c547df24b30ffe7ee33d0783005eff3f8b90d0955f58faa8380102e10de8f9ab6098ff53ecacaa3c275bf7b206b98f6ae9a365abb362531a3d28888e666af
diff --git a/media-tv/sopcast/sopcast-3.2.6-r1.ebuild b/media-tv/sopcast/sopcast-3.2.6-r1.ebuild
new file mode 100644
index 00000000..ce86a0c5
--- /dev/null
+++ b/media-tv/sopcast/sopcast-3.2.6-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+inherit eutils
+
+MY_P="sp-sc-auth"
+MY_PN="sp-auth"
+
+DESCRIPTION="SopCast free P2P Internet TV binary"
+LICENSE="SopCast-unknown-license"
+HOMEPAGE="http://www.sopcast.com/"
+SRC_URI="http://sopcast-player.googlecode.com/files/${MY_PN}-${PV}.tar.gz"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="strip"
+
+# All dependencies might not be listed, since the binary blob's homepage only lists libstdc++
+RDEPEND="amd64? ( sys-libs/libstdc++-v3[multilib] )
+ x86? ( >=virtual/libstdc++-3.3 )"
+
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${MY_PN}
+
+src_install() {
+ exeinto /usr/bin/
+ newexe sp-sc-auth ${MY_P} || die "newexe failed"
+ dodoc Readme || die "dodoc failed"
+}
diff --git a/media-tv/tv-maxe/Manifest b/media-tv/tv-maxe/Manifest
new file mode 100644
index 00000000..760c9791
--- /dev/null
+++ b/media-tv/tv-maxe/Manifest
@@ -0,0 +1 @@
+DIST tv-maxe_0.11-0ubuntu2~trusty.tar.gz 2159664 BLAKE2B 9772bced4546ca4d7e01197a28e7ab52a851ad9ceb769cb60b1a1f3f3d424d425aad0904a026cd8ee30c4c405f9b994b8e6c70f2b5615af21983028617307122 SHA512 7579bb55e42def70c7246f5a14b779914f0dfa6d3a730b7cbe71e0d0dc527a72484ff31e5be6abab894fabc185bc2d403a731356527c561d344fcc7486882237
diff --git a/media-tv/tv-maxe/files/tv-maxe_disable_locale.patch b/media-tv/tv-maxe/files/tv-maxe_disable_locale.patch
new file mode 100644
index 00000000..66aeca8d
--- /dev/null
+++ b/media-tv/tv-maxe/files/tv-maxe_disable_locale.patch
@@ -0,0 +1,11 @@
+diff -Nur a/tv-maxe/tvmaxe.py b/tv-maxe/tvmaxe.py
+--- a/tv-maxe/tvmaxe.py 2015-01-07 14:53:41.000000000 +0000
++++ b/tv-maxe/tvmaxe.py 2017-04-09 17:24:40.536587825 +0100
+@@ -11,7 +11,6 @@
+ os.path.abspath(__file__)), 'lng')
+ except:
+ LOCALE_PATH = 'lng'
+-locale.setlocale(locale.LC_ALL, '')
+ for module in gtk.glade, gettext:
+ module.bindtextdomain(GETTEXT_DOMAIN, LOCALE_PATH)
+ module.textdomain(GETTEXT_DOMAIN)
diff --git a/media-tv/tv-maxe/tv-maxe-0.11-r5.ebuild b/media-tv/tv-maxe/tv-maxe-0.11-r5.ebuild
new file mode 100644
index 00000000..b027b3cf
--- /dev/null
+++ b/media-tv/tv-maxe/tv-maxe-0.11-r5.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils python-r1
+
+DESCRIPTION="Program to view free channels"
+HOMEPAGE="http://code.google.com/p/tv-maxe"
+SRC_URI="https://launchpad.net/~venerix/+archive/ubuntu/pkg/+files/${PN}_${PV}-0ubuntu2~trusty.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+sqlite +vlc"
+
+DEPEND="dev-lang/python[sqlite]"
+RDEPEND="${DEPEND}
+ vlc? ( media-video/vlc )
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/python-virtkey[${PYTHON_USEDEP}]
+ dev-python/pygtk[${PYTHON_USEDEP}]
+ media-tv/sopcast
+ media-video/rtmpdump
+ virtual/ffmpeg"
+
+S="${WORKDIR}/${PN}-${PV}"
+
+src_prepare() {
+ default
+ eapply ${FILESDIR}/${PN}_disable_locale.patch
+ sed -i "s/python/python2/g" ${PN}/${PN}
+}
+
+src_install() {
+ dodir usr/bin
+ exeinto usr/bin
+ doexe ${PN}/${PN}
+
+ dodir usr/share/${PN}
+ insinto usr/share/${PN}
+ doins -r ${PN}/*
+
+ newicon ${PN}/tvmaxe_mini.png tv-maxe.png
+ make_desktop_entry tv-maxe TV-maxe \
+ "tv-maxe" \
+ AudioVideo
+}